Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.sos.configuration
Class SensorConfiguration

    java.lang.Object
      org.deegree.ogcwebservices.sos.configuration.SensorConfiguration

    public class SensorConfiguration

extends Object

represents a sensor configuration

Version:
  $Revision: 23585 $, $Date:20.03.2007$
Author:
  Matthias Kulbe , last edited by: $Author:wanhoff$

Constructor Summary
`SensorConfiguration(String id, String idPropertyValue, String sourceServerId, MeasurementConfiguration[] measurements)` constructor

Method Summary
`boolean` | `equals(Object obj)`
`MeasurementConfiguration` | `getFirstMeasurementConfiguration()` returns the first measurement; is the default if the user don't request a special measurement
`String` | `getId()`
`String` | `getIdPropertyValue()`
`MeasurementConfiguration` | `getMeasurementById(String id)` returns the Measurement Config by the given id
`MeasurementConfiguration[]` | `getMeasurementConfigurations()` returns all measurements
`String` | `getSourceServerId()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SensorConfiguration

    public SensorConfiguration(String id,
                               String idPropertyValue,
                               String sourceServerId,
                               MeasurementConfiguration[] measurements)

  constructor

  Parameters:
    `id` -
    `idPropertyValue` -
    `sourceServerId` -
    `measurements` -

Method Detail

### getMeasurementConfigurations

    public MeasurementConfiguration[] getMeasurementConfigurations()

  returns all measurements

  Returns:
    all measurements

### getFirstMeasurementConfiguration

    public MeasurementConfiguration getFirstMeasurementConfiguration()

  returns the first measurement; is the default if the user don't request a special measurement

  Returns:
    the first measurement

### getId

    public String getId()

  Returns:
    id

### getIdPropertyValue

    public String getIdPropertyValue()

  Returns:
    idPropertyValue

### getSourceServerId

    public String getSourceServerId()

  Returns:
    sourceServerId

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getMeasurementById

    public MeasurementConfiguration getMeasurementById(String id)

  returns the Measurement Config by the given id

  Parameters:
    `id` -
  Returns:
    the Measurement Config by the given id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org